org.apache.ignite.internal.pagemem.wal.record

## Class MvccDataEntry

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.DataEntry
  - - org.apache.ignite.internal.pagemem.wal.record.MvccDataEntry

Direct Known Subclasses:
  LazyMvccDataEntry, UnwrapMvccDataEntry

    public class MvccDataEntry
    extends DataEntry

Represents Data Entry (`DataEntry.key`, `value`) pair for mvcc update `operation` in WAL log.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.pagemem.wal.record.DataEntry

`cacheId, expireTime, key, nearXidVer, op, partCnt, partId, val, writeVer`

### Constructor Summary

Constructors
Constructor and Description
`MvccDataEntry(int cacheId, KeyCacheObject key, @Nullable CacheObject val, GridCacheOperation op, GridCacheVersion nearXidVer, GridCacheVersion writeVer, long expireTime, int partId, long partCnt, MvccVersion mvccVer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`MvccVersion` `mvccVer()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.DataEntry

`cacheId, expireTime, key, nearXidVersion, op, partitionCounter, partitionCounter, partitionId, value, writeVersion`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MvccDataEntry

    public MvccDataEntry(int cacheId,
                         KeyCacheObject key,
                         @Nullable
                         @Nullable CacheObject val,
                         GridCacheOperation op,
                         GridCacheVersion nearXidVer,
                         GridCacheVersion writeVer,
                         long expireTime,
                         int partId,
                         long partCnt,
                         MvccVersion mvccVer)

Parameters:
  `cacheId` - Cache ID.
  `key` - Key.
  `val` - Value or null for delete operation.
  `op` - Operation.
  `nearXidVer` - Near transaction version.
  `writeVer` - Write version.
  `expireTime` - Expire time.
  `partId` - Partition ID.
  `partCnt` - Partition counter.
  `mvccVer` - Mvcc version.

### Method Detail

#### mvccVer

    public MvccVersion mvccVer()

Returns:
  Mvcc version.

#### toString

    public String toString()

Overrides:
  `toString` in class `DataEntry`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021